Bug 131629 - NEW PORT: audio/exaile-devel, add CONFLICTS to audio/exaile
Summary: NEW PORT: audio/exaile-devel, add CONFLICTS to audio/exaile
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Ion-Mihai "IOnut" Tetcu
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-02-13 03:30 UTC by Joseph S. Atkinson
Modified: 2009-03-05 09:20 UTC (History)
0 users

See Also:


Attachments
file.diff (555 bytes, patch)
2009-02-13 03:30 UTC, Joseph S. Atkinson
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Joseph S. Atkinson 2009-02-13 03:30:00 UTC

This introduces a new track for audio/exaile that allows FreeBSD users to easily follow changes for the upcoming 0.3 revamp. This port can be accessed as audio/exaile-devel and CONFLICTS with audio/exaile.

Some of the changes include:
	* Non-explicit reliance upon gettext
	* Transitions from sqlite to a faster pickle database
	* Drag and drop support
	* Plugin API
	* More to come...

Also included here is a small diff to audio/exaile (which I maintain) to set CONFLICTS with audio/exaile-devel.

I've been using this myself since January 5th without any major issues and several improvements over 0.2.14. Mileage may vary.

Fix: NOTES:
	* portlint(1) gives complaint about invocation of python. This is a false alarm as python is an argument of USE_GSTREAMER.
	* portlint(1) complains of only one MASTER_SITES location. I may add another or mirror it myself later.
	* WITHOUT_NLS is currently a blatantant hack.



Enjoy!--BkLdJyFrRZgKm7AhjSJJ6wj4hsPCyajZnnSFJm2c9cO8MgtZ
Content-Type: text/plain; name="exaile-devel.shar"
Content-Transfer-Encoding: 7bit
Content-Disposition: attachment; filename="exaile-devel.shar"

# This is a shell archive.  Save it in a file, remove anything before
# this line, and then unpack it by entering "sh file".  Note, it may
# create directories; files and directories will be owned by you and
# have default permissions.
#
# This archive contains:
#
#	exaile-devel
#	exaile-devel/Makefile
#	exaile-devel/distinfo
#	exaile-devel/pkg-descr
#	exaile-devel/pkg-plist
#
echo c - exaile-devel
mkdir -p exaile-devel > /dev/null 2>&1
echo x - exaile-devel/Makefile
sed 's/^X//' >exaile-devel/Makefile << 'edf8a474bdc9ae60d754b1ff46d278f5'
X# New ports collection makefile for:	exaile-devel
X# Date created:		5 January 2009
X# Whom:			Joseph S. Atkinson <jsa@wickedmachine.net>
X#
X# $FreeBSD$
X#
X
XPORTNAME=	exaile
XDISTVERSION=	0.2.99.1
XCATEGORIES=	audio
XMASTER_SITES=	http://www.exaile.org/files/
XDISTNAME=	${PORTNAME}_0.3.0a1
X
XMAINTAINER=	jsa@wickedmachine.net
XCOMMENT=	AmaroK replacement for GTK+ (developmental series)
X
XRUN_DEPENDS=	py*-dbus>=0.82.1:${PORTSDIR}/devel/py-dbus \
X		py*-notify>=0.1.1:${PORTSDIR}/devel/py-notify \
X		py*-elementtree>=1.2.6:${PORTSDIR}/devel/py-elementtree \
X		py*-mutagen>=1.11:${PORTSDIR}/audio/py-mutagen \
X		py*-sexy>=0.1.9:${PORTSDIR}/x11-toolkits/py-sexy \
X		py*-cddb>=1.4:${PORTSDIR}/audio/py-cddb
X
XWRKSRC=		${WRKDIR}/${PORTNAME}-0.3.0a1
X
XUSE_GNOME=	pygtk2 pygnomeextras
XUSE_GSTREAMER=	python gnomevfs
XUSE_PYTHON=	2.5+
X
XCONFLICTS=	exaile-0.2.[0-9][0-8]* exaile-0.3.*
X
X.if !defined(WITHOUT_NLS)
XUSE_GETTEXT=		yes
XPLIST_SUB+=		NLS=""
X.else
XPLIST_SUB+=		NLS="@comment "
X.endif
X
Xpost-patch:
X	@${REINPLACE_CMD} -e '/createpot/d;s|/bin/echo|echo|;\
X	s|$$[(]PREFIX[)]/share/exaile|${DATADIR}|;/install.*mmkeys/d;\
X	s|$$[(]PREFIX[)]$$[(]LIBDIR[)]/exaile|${DATADIR}|;/mkdir.*LIBDIR/d;\
X	s|$$[(]PREFIX[)]/share/man/man1|${MAN1PREFIX}/man/man1|'\
X		${WRKSRC}/Makefile
X.if defined(WITHOUT_NLS)
X	@${REINPLACE_CMD} -e 's|exaile\.mo|SKIP_NLS_HACK|' ${WRKSRC}/Makefile
X.endif
X
X.include <bsd.port.mk>
edf8a474bdc9ae60d754b1ff46d278f5
echo x - exaile-devel/distinfo
sed 's/^X//' >exaile-devel/distinfo << '67e7416a2af9ace96f4e0486630dba63'
XMD5 (exaile_0.3.0a1.tar.gz) = dd1ea601ad82a27dc0538a777861049f
XSHA256 (exaile_0.3.0a1.tar.gz) = 548a353c13d2b85bbbbc52e377ed30977a4efe63554277cb7a84c9546519701f
XSIZE (exaile_0.3.0a1.tar.gz) = 709710
67e7416a2af9ace96f4e0486630dba63
echo x - exaile-devel/pkg-descr
sed 's/^X//' >exaile-devel/pkg-descr << 'dff9607d663d6b3082e1762ed4e45d2a'
XExaile is a media player aiming to be similar to KDE's AmaroK, but for
XGTK+. It incorporates many of the cool things from AmaroK (and other
Xmedia players) like automatic fetching of album art, handling of large
Xlibraries, lyrics fetching, artist/album information via the wikipedia,
Xlast.fm support, optional iPod support (assuming you have python-gpod
Xinstalled).
X
XThis version follows the developmental track for the 0.3.x series.
X
XWWW: http://www.exaile.org/
XAuthor: Adam Olsen <arolsen@gmail.com>
dff9607d663d6b3082e1762ed4e45d2a
echo x - exaile-devel/pkg-plist
sed 's/^X//' >exaile-devel/pkg-plist << '546fa9df96df931c8c2a6137cd2549be'
Xbin/exaile
Xshare/applications/exaile.desktop
X%%DATADIR%%/data/glade/about_dialog.glade
X%%DATADIR%%/data/glade/collection_manager.glade
X%%DATADIR%%/data/glade/collection_panel.glade
X%%DATADIR%%/data/glade/cover_prefs_pane.glade
X%%DATADIR%%/data/glade/coverchooser.glade
X%%DATADIR%%/data/glade/covermanager.glade
X%%DATADIR%%/data/glade/coverwindow.glade
X%%DATADIR%%/data/glade/device_manager.glade
X%%DATADIR%%/data/glade/files_panel.glade
X%%DATADIR%%/data/glade/general_prefs_pane.glade
X%%DATADIR%%/data/glade/main.glade
X%%DATADIR%%/data/glade/osd_prefs_pane.glade
X%%DATADIR%%/data/glade/osd_window.glade
X%%DATADIR%%/data/glade/playlists_panel.glade
X%%DATADIR%%/data/glade/plugin_dialog.glade
X%%DATADIR%%/data/glade/preferences_dialog.glade
X%%DATADIR%%/data/glade/radio_panel.glade
X%%DATADIR%%/data/glade/splash.glade
X%%DATADIR%%/data/images/artist.png
X%%DATADIR%%/data/images/exailelogo.png
X%%DATADIR%%/data/images/genre.png
X%%DATADIR%%/data/images/icon.png
X%%DATADIR%%/data/images/largeicon.png
X%%DATADIR%%/data/images/nocover.png
X%%DATADIR%%/data/images/playlist.png
X%%DATADIR%%/data/images/splash.png
X%%DATADIR%%/data/images/star.png
X%%DATADIR%%/data/images/track.png
X%%DATADIR%%/data/images/trayicon.png
X%%DATADIR%%/data/images/year.png
X%%DATADIR%%/exaile.py
X%%DATADIR%%/lib/__init__.py
X%%DATADIR%%/lib/__init__.pyc
X%%DATADIR%%/lib/__init__.pyo
X%%DATADIR%%/lib/feedparser.py
X%%DATADIR%%/lib/feedparser.pyc
X%%DATADIR%%/lib/feedparser.pyo
X%%DATADIR%%/plugins/amazoncovers/PLUGININFO
X%%DATADIR%%/plugins/amazoncovers/__init__.py
X%%DATADIR%%/plugins/amazoncovers/__init__.pyc
X%%DATADIR%%/plugins/amazoncovers/__init__.pyo
X%%DATADIR%%/plugins/amazoncovers/_ecs.py
X%%DATADIR%%/plugins/amazoncovers/_ecs.pyc
X%%DATADIR%%/plugins/amazoncovers/_ecs.pyo
X%%DATADIR%%/plugins/amazoncovers/test.py
X%%DATADIR%%/plugins/amazoncovers/test.pyc
X%%DATADIR%%/plugins/amazoncovers/test.pyo
X%%DATADIR%%/plugins/audioscrobbler/PLUGININFO
X%%DATADIR%%/plugins/audioscrobbler/__init__.py
X%%DATADIR%%/plugins/audioscrobbler/__init__.pyc
X%%DATADIR%%/plugins/audioscrobbler/__init__.pyo
X%%DATADIR%%/plugins/audioscrobbler/_scrobbler.py
X%%DATADIR%%/plugins/audioscrobbler/_scrobbler.pyc
X%%DATADIR%%/plugins/audioscrobbler/_scrobbler.pyo
X%%DATADIR%%/plugins/audioscrobbler/asprefs.py
X%%DATADIR%%/plugins/audioscrobbler/asprefs.pyc
X%%DATADIR%%/plugins/audioscrobbler/asprefs.pyo
X%%DATADIR%%/plugins/audioscrobbler/asprefs_pane.glade
X%%DATADIR%%/plugins/cd/PLUGININFO
X%%DATADIR%%/plugins/cd/__init__.py
X%%DATADIR%%/plugins/cd/__init__.pyc
X%%DATADIR%%/plugins/cd/__init__.pyo
X%%DATADIR%%/plugins/gnomemmkeys/PLUGININFO
X%%DATADIR%%/plugins/gnomemmkeys/__init__.py
X%%DATADIR%%/plugins/gnomemmkeys/__init__.pyc
X%%DATADIR%%/plugins/gnomemmkeys/__init__.pyo
X%%DATADIR%%/plugins/lastfmdynamic/PLUGININFO
X%%DATADIR%%/plugins/lastfmdynamic/__init__.py
X%%DATADIR%%/plugins/lastfmdynamic/__init__.pyc
X%%DATADIR%%/plugins/lastfmdynamic/__init__.pyo
X%%DATADIR%%/plugins/lastfmdynamic/test.py
X%%DATADIR%%/plugins/lastfmdynamic/test.pyc
X%%DATADIR%%/plugins/lastfmdynamic/test.pyo
X%%DATADIR%%/plugins/lastfmradio/COPYING.txt
X%%DATADIR%%/plugins/lastfmradio/ChangeLog.txt
X%%DATADIR%%/plugins/lastfmradio/PLUGININFO
X%%DATADIR%%/plugins/lastfmradio/README.txt
X%%DATADIR%%/plugins/lastfmradio/__init__.py
X%%DATADIR%%/plugins/lastfmradio/__init__.pyc
X%%DATADIR%%/plugins/lastfmradio/__init__.pyo
X%%DATADIR%%/plugins/lastfmradio/_scrobbler.py
X%%DATADIR%%/plugins/lastfmradio/_scrobbler.pyc
X%%DATADIR%%/plugins/lastfmradio/_scrobbler.pyo
X%%DATADIR%%/plugins/lastfmradio/bookmarks.txt
X%%DATADIR%%/plugins/lastfmradio/config.py
X%%DATADIR%%/plugins/lastfmradio/config.pyc
X%%DATADIR%%/plugins/lastfmradio/config.pyo
X%%DATADIR%%/plugins/lastfmradio/data/album.png
X%%DATADIR%%/plugins/lastfmradio/data/artist.png
X%%DATADIR%%/plugins/lastfmradio/data/default.css
X%%DATADIR%%/plugins/lastfmradio/data/default.html
X%%DATADIR%%/plugins/lastfmradio/data/favicon.ico
X%%DATADIR%%/plugins/lastfmradio/data/main.js
X%%DATADIR%%/plugins/lastfmradio/data/nice_favicon.png
X%%DATADIR%%/plugins/lastfmradio/data/noalbum_medium.gif
X%%DATADIR%%/plugins/lastfmradio/data/sidebar.css
X%%DATADIR%%/plugins/lastfmradio/data/sidebar.html
X%%DATADIR%%/plugins/lastfmradio/data/song.png
X%%DATADIR%%/plugins/lastfmradio/httpclient.py
X%%DATADIR%%/plugins/lastfmradio/httpclient.pyc
X%%DATADIR%%/plugins/lastfmradio/httpclient.pyo
X%%DATADIR%%/plugins/lastfmradio/lastfm.py
X%%DATADIR%%/plugins/lastfmradio/lastfm.pyc
X%%DATADIR%%/plugins/lastfmradio/lastfm.pyo
X%%DATADIR%%/plugins/lastfmradio/lastfmchangestation.py
X%%DATADIR%%/plugins/lastfmradio/lastfmchangestation.pyc
X%%DATADIR%%/plugins/lastfmradio/lastfmchangestation.pyo
X%%DATADIR%%/plugins/lastfmradio/lastfmmain.py
X%%DATADIR%%/plugins/lastfmradio/lastfmmain.pyc
X%%DATADIR%%/plugins/lastfmradio/lastfmmain.pyo
X%%DATADIR%%/plugins/lastfmradio/playlist.py
X%%DATADIR%%/plugins/lastfmradio/playlist.pyc
X%%DATADIR%%/plugins/lastfmradio/playlist.pyo
X%%DATADIR%%/plugins/lastfmradio/xspf.py
X%%DATADIR%%/plugins/lastfmradio/xspf.pyc
X%%DATADIR%%/plugins/lastfmradio/xspf.pyo
X%%DATADIR%%/plugins/lyricwiki/PLUGININFO
X%%DATADIR%%/plugins/lyricwiki/__init__.py
X%%DATADIR%%/plugins/lyricwiki/__init__.pyc
X%%DATADIR%%/plugins/lyricwiki/__init__.pyo
X%%DATADIR%%/plugins/lyricwiki/test.py
X%%DATADIR%%/plugins/lyricwiki/test.pyc
X%%DATADIR%%/plugins/lyricwiki/test.pyo
X%%DATADIR%%/plugins/notify/PLUGININFO
X%%DATADIR%%/plugins/notify/__init__.py
X%%DATADIR%%/plugins/notify/__init__.pyc
X%%DATADIR%%/plugins/notify/__init__.pyo
X%%DATADIR%%/plugins/notify/test.py
X%%DATADIR%%/plugins/notify/test.pyc
X%%DATADIR%%/plugins/notify/test.pyo
X%%DATADIR%%/plugins/shoutcast/PLUGININFO
X%%DATADIR%%/plugins/shoutcast/__init__.py
X%%DATADIR%%/plugins/shoutcast/__init__.pyc
X%%DATADIR%%/plugins/shoutcast/__init__.pyo
X%%DATADIR%%/plugins/shoutcast/test.py
X%%DATADIR%%/plugins/shoutcast/test.pyc
X%%DATADIR%%/plugins/shoutcast/test.pyo
X%%DATADIR%%/xl/__init__.py
X%%DATADIR%%/xl/__init__.pyc
X%%DATADIR%%/xl/__init__.pyo
X%%DATADIR%%/xl/collection.py
X%%DATADIR%%/xl/collection.pyc
X%%DATADIR%%/xl/collection.pyo
X%%DATADIR%%/xl/common.py
X%%DATADIR%%/xl/common.pyc
X%%DATADIR%%/xl/common.pyo
X%%DATADIR%%/xl/cover.py
X%%DATADIR%%/xl/cover.pyc
X%%DATADIR%%/xl/cover.pyo
X%%DATADIR%%/xl/devices.py
X%%DATADIR%%/xl/devices.pyc
X%%DATADIR%%/xl/devices.pyo
X%%DATADIR%%/xl/dynamic.py
X%%DATADIR%%/xl/dynamic.pyc
X%%DATADIR%%/xl/dynamic.pyo
X%%DATADIR%%/xl/event.py
X%%DATADIR%%/xl/event.pyc
X%%DATADIR%%/xl/event.pyo
X%%DATADIR%%/xl/hal.py
X%%DATADIR%%/xl/hal.pyc
X%%DATADIR%%/xl/hal.pyo
X%%DATADIR%%/xl/lyrics.py
X%%DATADIR%%/xl/lyrics.pyc
X%%DATADIR%%/xl/lyrics.pyo
X%%DATADIR%%/xl/main.py
X%%DATADIR%%/xl/main.pyc
X%%DATADIR%%/xl/main.pyo
X%%DATADIR%%/xl/metadata/__init__.py
X%%DATADIR%%/xl/metadata/__init__.pyc
X%%DATADIR%%/xl/metadata/__init__.pyo
X%%DATADIR%%/xl/metadata/_apev2.py
X%%DATADIR%%/xl/metadata/_apev2.pyc
X%%DATADIR%%/xl/metadata/_apev2.pyo
X%%DATADIR%%/xl/metadata/_base.py
X%%DATADIR%%/xl/metadata/_base.pyc
X%%DATADIR%%/xl/metadata/_base.pyo
X%%DATADIR%%/xl/metadata/_id3.py
X%%DATADIR%%/xl/metadata/_id3.pyc
X%%DATADIR%%/xl/metadata/_id3.pyo
X%%DATADIR%%/xl/metadata/asf.py
X%%DATADIR%%/xl/metadata/asf.pyc
X%%DATADIR%%/xl/metadata/asf.pyo
X%%DATADIR%%/xl/metadata/flac.py
X%%DATADIR%%/xl/metadata/flac.pyc
X%%DATADIR%%/xl/metadata/flac.pyo
X%%DATADIR%%/xl/metadata/mod.py
X%%DATADIR%%/xl/metadata/mod.pyc
X%%DATADIR%%/xl/metadata/mod.pyo
X%%DATADIR%%/xl/metadata/mp3.py
X%%DATADIR%%/xl/metadata/mp3.pyc
X%%DATADIR%%/xl/metadata/mp3.pyo
X%%DATADIR%%/xl/metadata/mp4.py
X%%DATADIR%%/xl/metadata/mp4.pyc
X%%DATADIR%%/xl/metadata/mp4.pyo
X%%DATADIR%%/xl/metadata/mpc.py
X%%DATADIR%%/xl/metadata/mpc.pyc
X%%DATADIR%%/xl/metadata/mpc.pyo
X%%DATADIR%%/xl/metadata/ogg.py
X%%DATADIR%%/xl/metadata/ogg.pyc
X%%DATADIR%%/xl/metadata/ogg.pyo
X%%DATADIR%%/xl/metadata/sid.py
X%%DATADIR%%/xl/metadata/sid.pyc
X%%DATADIR%%/xl/metadata/sid.pyo
X%%DATADIR%%/xl/metadata/speex.py
X%%DATADIR%%/xl/metadata/speex.pyc
X%%DATADIR%%/xl/metadata/speex.pyo
X%%DATADIR%%/xl/metadata/tta.py
X%%DATADIR%%/xl/metadata/tta.pyc
X%%DATADIR%%/xl/metadata/tta.pyo
X%%DATADIR%%/xl/metadata/wav.py
X%%DATADIR%%/xl/metadata/wav.pyc
X%%DATADIR%%/xl/metadata/wav.pyo
X%%DATADIR%%/xl/metadata/wv.py
X%%DATADIR%%/xl/metadata/wv.pyc
X%%DATADIR%%/xl/metadata/wv.pyo
X%%DATADIR%%/xl/nls.py
X%%DATADIR%%/xl/nls.pyc
X%%DATADIR%%/xl/nls.pyo
X%%DATADIR%%/xl/player.py
X%%DATADIR%%/xl/player.pyc
X%%DATADIR%%/xl/player.pyo
X%%DATADIR%%/xl/playlist.py
X%%DATADIR%%/xl/playlist.pyc
X%%DATADIR%%/xl/playlist.pyo
X%%DATADIR%%/xl/plugins.py
X%%DATADIR%%/xl/plugins.pyc
X%%DATADIR%%/xl/plugins.pyo
X%%DATADIR%%/xl/providers.py
X%%DATADIR%%/xl/providers.pyc
X%%DATADIR%%/xl/providers.pyo
X%%DATADIR%%/xl/radio.py
X%%DATADIR%%/xl/radio.pyc
X%%DATADIR%%/xl/radio.pyo
X%%DATADIR%%/xl/settings.py
X%%DATADIR%%/xl/settings.pyc
X%%DATADIR%%/xl/settings.pyo
X%%DATADIR%%/xl/track.py
X%%DATADIR%%/xl/track.pyc
X%%DATADIR%%/xl/track.pyo
X%%DATADIR%%/xl/trackdb.py
X%%DATADIR%%/xl/trackdb.pyc
X%%DATADIR%%/xl/trackdb.pyo
X%%DATADIR%%/xl/transcoder.py
X%%DATADIR%%/xl/transcoder.pyc
X%%DATADIR%%/xl/transcoder.pyo
X%%DATADIR%%/xl/xdg.py
X%%DATADIR%%/xl/xdg.pyc
X%%DATADIR%%/xl/xdg.pyo
X%%DATADIR%%/xl/xldbus.py
X%%DATADIR%%/xl/xldbus.pyc
X%%DATADIR%%/xl/xldbus.pyo
X%%DATADIR%%/xlgui/__init__.py
X%%DATADIR%%/xlgui/__init__.pyc
X%%DATADIR%%/xlgui/__init__.pyo
X%%DATADIR%%/xlgui/collection.py
X%%DATADIR%%/xlgui/collection.pyc
X%%DATADIR%%/xlgui/collection.pyo
X%%DATADIR%%/xlgui/commondialogs.py
X%%DATADIR%%/xlgui/commondialogs.pyc
X%%DATADIR%%/xlgui/commondialogs.pyo
X%%DATADIR%%/xlgui/cover.py
X%%DATADIR%%/xlgui/cover.pyc
X%%DATADIR%%/xlgui/cover.pyo
X%%DATADIR%%/xlgui/filtergui.py
X%%DATADIR%%/xlgui/filtergui.pyc
X%%DATADIR%%/xlgui/filtergui.pyo
X%%DATADIR%%/xlgui/guiutil.py
X%%DATADIR%%/xlgui/guiutil.pyc
X%%DATADIR%%/xlgui/guiutil.pyo
X%%DATADIR%%/xlgui/main.py
X%%DATADIR%%/xlgui/main.pyc
X%%DATADIR%%/xlgui/main.pyo
X%%DATADIR%%/xlgui/menu.py
X%%DATADIR%%/xlgui/menu.pyc
X%%DATADIR%%/xlgui/menu.pyo
X%%DATADIR%%/xlgui/osd.py
X%%DATADIR%%/xlgui/osd.pyc
X%%DATADIR%%/xlgui/osd.pyo
X%%DATADIR%%/xlgui/panel/__init__.py
X%%DATADIR%%/xlgui/panel/__init__.pyc
X%%DATADIR%%/xlgui/panel/__init__.pyo
X%%DATADIR%%/xlgui/panel/collection.py
X%%DATADIR%%/xlgui/panel/collection.pyc
X%%DATADIR%%/xlgui/panel/collection.pyo
X%%DATADIR%%/xlgui/panel/files.py
X%%DATADIR%%/xlgui/panel/files.pyc
X%%DATADIR%%/xlgui/panel/files.pyo
X%%DATADIR%%/xlgui/panel/playlists.py
X%%DATADIR%%/xlgui/panel/playlists.pyc
X%%DATADIR%%/xlgui/panel/playlists.pyo
X%%DATADIR%%/xlgui/panel/radio.py
X%%DATADIR%%/xlgui/panel/radio.pyc
X%%DATADIR%%/xlgui/panel/radio.pyo
X%%DATADIR%%/xlgui/playlist.py
X%%DATADIR%%/xlgui/playlist.pyc
X%%DATADIR%%/xlgui/playlist.pyo
X%%DATADIR%%/xlgui/plcolumns.py
X%%DATADIR%%/xlgui/plcolumns.pyc
X%%DATADIR%%/xlgui/plcolumns.pyo
X%%DATADIR%%/xlgui/plugins.py
X%%DATADIR%%/xlgui/plugins.pyc
X%%DATADIR%%/xlgui/plugins.pyo
X%%DATADIR%%/xlgui/prefs/__init__.py
X%%DATADIR%%/xlgui/prefs/__init__.pyc
X%%DATADIR%%/xlgui/prefs/__init__.pyo
X%%DATADIR%%/xlgui/prefs/cover_prefs.py
X%%DATADIR%%/xlgui/prefs/cover_prefs.pyc
X%%DATADIR%%/xlgui/prefs/cover_prefs.pyo
X%%DATADIR%%/xlgui/prefs/general_prefs.py
X%%DATADIR%%/xlgui/prefs/general_prefs.pyc
X%%DATADIR%%/xlgui/prefs/general_prefs.pyo
X%%DATADIR%%/xlgui/prefs/osd_prefs.py
X%%DATADIR%%/xlgui/prefs/osd_prefs.pyc
X%%DATADIR%%/xlgui/prefs/osd_prefs.pyo
X%%DATADIR%%/xlgui/prefs/widgets.py
X%%DATADIR%%/xlgui/prefs/widgets.pyc
X%%DATADIR%%/xlgui/prefs/widgets.pyo
X%%DATADIR%%/xlgui/progress.py
X%%DATADIR%%/xlgui/progress.pyc
X%%DATADIR%%/xlgui/progress.pyo
X%%DATADIR%%/xlgui/tray.py
X%%DATADIR%%/xlgui/tray.pyc
X%%DATADIR%%/xlgui/tray.pyo
X%%NLS%%share/locale/an/LC_MESSAGES/exaile.mo
X%%NLS%%share/locale/ar/LC_MESSAGES/exaile.mo
X%%NLS%%share/locale/ast/LC_MESSAGES/exaile.mo
X%%NLS%%share/locale/bg/LC_MESSAGES/exaile.mo
X%%NLS%%share/locale/ca/LC_MESSAGES/exaile.mo
X%%NLS%%share/locale/cs/LC_MESSAGES/exaile.mo
X%%NLS%%share/locale/da/LC_MESSAGES/exaile.mo
X%%NLS%%share/locale/de/LC_MESSAGES/exaile.mo
X%%NLS%%share/locale/el/LC_MESSAGES/exaile.mo
X%%NLS%%share/locale/en_CA/LC_MESSAGES/exaile.mo
X%%NLS%%share/locale/en_GB/LC_MESSAGES/exaile.mo
X%%NLS%%share/locale/eo/LC_MESSAGES/exaile.mo
X%%NLS%%share/locale/es/LC_MESSAGES/exaile.mo
X%%NLS%%share/locale/et/LC_MESSAGES/exaile.mo
X%%NLS%%share/locale/eu/LC_MESSAGES/exaile.mo
X%%NLS%%share/locale/fa/LC_MESSAGES/exaile.mo
X%%NLS%%share/locale/fi/LC_MESSAGES/exaile.mo
X%%NLS%%share/locale/fr/LC_MESSAGES/exaile.mo
X%%NLS%%share/locale/frp/LC_MESSAGES/exaile.mo
X%%NLS%%share/locale/gl/LC_MESSAGES/exaile.mo
X%%NLS%%share/locale/he/LC_MESSAGES/exaile.mo
X%%NLS%%share/locale/hi/LC_MESSAGES/exaile.mo
X%%NLS%%share/locale/hu/LC_MESSAGES/exaile.mo
X%%NLS%%share/locale/id/LC_MESSAGES/exaile.mo
X%%NLS%%share/locale/it/LC_MESSAGES/exaile.mo
X%%NLS%%share/locale/ja/LC_MESSAGES/exaile.mo
X%%NLS%%share/locale/ka/LC_MESSAGES/exaile.mo
X%%NLS%%share/locale/ko/LC_MESSAGES/exaile.mo
X%%NLS%%share/locale/lt/LC_MESSAGES/exaile.mo
X%%NLS%%share/locale/lv/LC_MESSAGES/exaile.mo
X%%NLS%%share/locale/mk/LC_MESSAGES/exaile.mo
X%%NLS%%share/locale/mr/LC_MESSAGES/exaile.mo
X%%NLS%%share/locale/nb/LC_MESSAGES/exaile.mo
X%%NLS%%share/locale/nl/LC_MESSAGES/exaile.mo
X%%NLS%%share/locale/oc/LC_MESSAGES/exaile.mo
X%%NLS%%share/locale/pl/LC_MESSAGES/exaile.mo
X%%NLS%%share/locale/pt/LC_MESSAGES/exaile.mo
X%%NLS%%share/locale/pt_BR/LC_MESSAGES/exaile.mo
X%%NLS%%share/locale/ro/LC_MESSAGES/exaile.mo
X%%NLS%%share/locale/ru/LC_MESSAGES/exaile.mo
X%%NLS%%share/locale/sk/LC_MESSAGES/exaile.mo
X%%NLS%%share/locale/sl/LC_MESSAGES/exaile.mo
X%%NLS%%share/locale/sq/LC_MESSAGES/exaile.mo
X%%NLS%%share/locale/sr/LC_MESSAGES/exaile.mo
X%%NLS%%share/locale/sv/LC_MESSAGES/exaile.mo
X%%NLS%%share/locale/ta/LC_MESSAGES/exaile.mo
X%%NLS%%share/locale/te/LC_MESSAGES/exaile.mo
X%%NLS%%share/locale/tl/LC_MESSAGES/exaile.mo
X%%NLS%%share/locale/tr/LC_MESSAGES/exaile.mo
X%%NLS%%share/locale/uk/LC_MESSAGES/exaile.mo
X%%NLS%%share/locale/zh_CN/LC_MESSAGES/exaile.mo
X%%NLS%%share/locale/zh_TW/LC_MESSAGES/exaile.mo
Xshare/pixmaps/exaile.png
X@dirrmtry share/locale/tl/LC_MESSAGES
X@dirrmtry share/locale/tl
X@dirrmtry share/locale/te/LC_MESSAGES
X@dirrmtry share/locale/te
X@dirrmtry share/locale/oc/LC_MESSAGES
X@dirrmtry share/locale/oc
X@dirrmtry share/locale/mr/LC_MESSAGES
X@dirrmtry share/locale/mr
X@dirrmtry share/locale/frp/LC_MESSAGES
X@dirrmtry share/locale/frp
X@dirrmtry share/locale/ast/LC_MESSAGES
X@dirrmtry share/locale/ast
X@dirrmtry share/locale/an/LC_MESSAGES
X@dirrmtry share/locale/an
X@dirrm %%DATADIR%%/xlgui/prefs
X@dirrm %%DATADIR%%/xlgui/panel
X@dirrm %%DATADIR%%/xlgui
X@dirrm %%DATADIR%%/xl/metadata
X@dirrm %%DATADIR%%/xl
X@dirrm %%DATADIR%%/plugins/shoutcast
X@dirrm %%DATADIR%%/plugins/notify
X@dirrm %%DATADIR%%/plugins/lyricwiki
X@dirrm %%DATADIR%%/plugins/lastfmradio/data
X@dirrm %%DATADIR%%/plugins/lastfmradio
X@dirrm %%DATADIR%%/plugins/lastfmdynamic
X@dirrm %%DATADIR%%/plugins/gnomemmkeys
X@dirrm %%DATADIR%%/plugins/cd
X@dirrm %%DATADIR%%/plugins/audioscrobbler
X@dirrm %%DATADIR%%/plugins/amazoncovers
X@dirrm %%DATADIR%%/plugins
X@dirrm %%DATADIR%%/lib
X@dirrm %%DATADIR%%/data/images
X@dirrm %%DATADIR%%/data/glade
X@dirrm %%DATADIR%%/data
X@dirrm %%DATADIR%%
X@dirrmtry share/applications
546fa9df96df931c8c2a6137cd2549be
exit
Comment 1 Edwin Groothuis freebsd_committer 2009-02-13 03:30:12 UTC
Class Changed
From-To: maintainer-update->change-request

Fix category (new ports should be change-requests) (via the GNATS Auto 
Assign Tool)
Comment 2 Ion-Mihai "IOnut" Tetcu freebsd_committer 2009-02-18 12:59:00 UTC
Responsible Changed
From-To: freebsd-ports-bugs->itetcu

I'll take it.
Comment 3 Ion-Mihai "IOnut" Tetcu freebsd_committer 2009-02-18 12:59:13 UTC
State Changed
From-To: open->repocopy

Please repo-copy audio/exaile --> audio/exaile-devel. 


Comment 4 Ion-Mihai "IOnut" Tetcu freebsd_committer 2009-02-18 12:59:13 UTC
Responsible Changed
From-To: itetcu->portmgr@FreeBSD.org

Please repo-copy audio/exaile --> audio/exaile-devel.
Comment 5 Mark Linimon freebsd_committer freebsd_triage 2009-02-19 14:04:35 UTC
Responsible Changed
From-To: portmgr@FreeBSD.org->portmgr

Canonicalize assignment.
Comment 6 Joe Marcus Clarke freebsd_committer 2009-02-26 17:42:23 UTC
State Changed
From-To: repocopy->open

Repocopy complete. 


Comment 7 Joe Marcus Clarke freebsd_committer 2009-02-26 17:42:23 UTC
Responsible Changed
From-To: portmgr->itetcu

Repocopy complete.
Comment 8 dfilter service freebsd_committer 2009-03-05 09:09:59 UTC
itetcu      2009-03-05 09:09:44 UTC

  FreeBSD ports repository

  Modified files:
    audio/exaile-devel   Makefile distinfo pkg-descr pkg-plist 
  Log:
  This introduces a new track for audio/exaile that allows FreeBSD users to
  easily follow changes for the upcoming 0.3 revamp. This port can be accessed as
  audio/exaile-devel and CONFLICTS with audio/exaile.
  
  Some of the changes include:
  * Non-explicit reliance upon gettext
  * Transitions from sqlite to a faster pickle database
  * Drag and drop support
  * Plugin API
  * More to come...
  
  PR:             ports/131629
  Submitted by:   Joseph S. Atkinson
  Repocopy by:    marcus@
  
  Revision  Changes    Path
  1.15      +20 -11    ports/audio/exaile-devel/Makefile
  1.9       +3 -3      ports/audio/exaile-devel/distinfo
  1.2       +2 -0      ports/audio/exaile-devel/pkg-descr
  1.8       +387 -192  ports/audio/exaile-devel/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 9 dfilter service freebsd_committer 2009-03-05 09:13:55 UTC
itetcu      2009-03-05 09:13:37 UTC

  FreeBSD ports repository

  Modified files:
    audio/exaile         Makefile 
  Log:
  Add confilicts with the new -devel port and bump PORTREVISION.
  
  PR:             ports/131629
  Submitted by:   Joseph S. Atkinson (maintainer)
  
  Revision  Changes    Path
  1.15      +3 -0      ports/audio/exaile/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 10 Ion-Mihai "IOnut" Tetcu freebsd_committer 2009-03-05 09:14:00 UTC
State Changed
From-To: open->closed

Committed, with minor changes. Thanks!